import { localStorage } from "@flare/js-utils";
import { storageKeys } from "../utils/identity";

const { getItem } = localStorage;
const token = getItem(storageKeys.TOKEN);
const userName = getItem(storageKeys.USER);

export const initialState = {
  credentials: {
    userName: userName || "",
    password: ""
  },
  security: {
    authorization: {
      token
    }
  },
  network: {
    machines: Object.assign([], { loaded: false }),
    test: ""
  }
};
